<?php
/*
Plugin Name: jqueryform-dcccc8
Plugin URI: https://jqueryform.com/help/jqueryform-wordpress-plugin.php
Description: [jqueryform-dcccc8] or [jqueryform-dcccc8 width="100%" height="760px"] shortcode to load the form. Form created date: 2024-04-19 00:13:32 PST
Version: 1.0
Date: 2020-05-02
Author: jqueryform.com
Author URI: https://jqueryform.com
License: GPL
*/

add_shortcode( 'jqueryform-dcccc8', 'jqueryform_dcccc8' );

function jqueryform_dcccc8( $params = array() )
{

	// default folder name is empty, only load form.html from current plugin folder
	$params   = shortcode_atts( array( 'width' => '100%', 'height' => '760px'), $params ); 
	$width    = trim($params['width'] );
	$height   = trim($params['height']);

	$dir      = dirname(__FILE__);
	$form     = $dir . '/form.html' ;
	$lib      = $dir . '/form.lib.php' ;
	$formUrl  = plugins_url('',__FILE__) . '/form.html' ;
	$adminUrl = plugins_url('',__FILE__) . '/admin.php' ;


	if( file_exists($lib) && file_exists($form) ){
		$html="

<iframe 
  src='{$formUrl}' 
  style='min-width:280px;width:{$width};height:{$height};border:none;'
  frameborder='none' 
  allowTransparency='true'>
</iframe>

<!-- Form Admin URL : {$adminUrl} -->

";
		return $html;
	};

	return "\n<!-- JQueryForm jqueryform-dcccc8 Not Found -->\n" ;
}
?>